# Uses of Class
org.eclipse.net4j.util.lifecycle.LifecycleException

Packages that use LifecycleException
Package
Description
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.

## Uses of LifecycleException in org.eclipse.net4j.util.concurrent

Methods in org.eclipse.net4j.util.concurrent that throw LifecycleException
Modifier and Type
Method
Description
`final void`
DelegableReentrantLock.`activate()`
`final void`
TimerLifecycle.`activate()`

## Uses of LifecycleException in org.eclipse.net4j.util.lifecycle

Methods in org.eclipse.net4j.util.lifecycle that throw LifecycleException
Modifier and Type
Method
Description
`void`
ILifecycle.`activate()`
`final void`
Lifecycle.`activate()`
`static void`
LifecycleUtil.`activate(Object object)`
`static void`
LifecycleUtil.`activate(Object object, boolean useAnnotation)`
`static void`
LifecycleUtil.`checkActive(Object object)`
`static void`
LifecycleUtil.`checkInactive(Object object)`
`static void`
LifecycleUtil.`deactivateNoisy(Object object)`
`static void`
LifecycleUtil.`deactivateNoisy(Object object, boolean useAnnotation)`